
Bases for ManiaPlanet maps with mixed decorations
=================================================
Created by Dommy - Last updated 19st of June 2019

This package contains several maps, which can be used as a base for building in a decoration from different environment.

### Contents overview
Look up the table below to check which environment + decoration combos are available in this package:

| Decoration      | Canyon  | Stadium | Valley  | Lagoon  |  Storm  |
|:--------------- |:-------:|:-------:|:-------:|:-------:|:-------:|
| Canyon 32       |    X    |    X    |    X    |    X    |   /!\   |
| Stadium 32      |    X    |    X    |    X    |    X    |   /!\   |
| Stadium 64      |    X*   |    X    |    X*   |    X*   |   /!\   |
| Valley 32       |    X    |    X    |    X    |    X    |   /!\   |
| Valley 48       |    X    |    X    |    X    |    X    |   /!\   |
| Valley 64       |    X    |    X    |    X    |    X    |         |
| Lagoon 48       |    X    |    X    |    X    |    X    |   /!\   |
| Storm Land 48   |         |   /!\   |   /!\   |   /!\   |   /!\   |
| Storm Water 48  |         |   /!\   |   /!\   |   /!\   |   /!\   |

X* - Sunrise, Sunset and Night bases for Stadium 64 are based on Day mood with daytime changed via slider.
/!\ - Base is deprecated and can no longer be loaded in current ManiaPlanet build.

### Usage
Download the zip and unpack the contents into your `Maps\` directory. Refresh the map browser if necessary. Use these bases under one of following criteria:

* In a title pack using `TMAll` for base, where you can mix decorations of all TrackMania environments.
* Alternatively, by opening decoration origin environment title pack **before** using the decoration in the other environment. This is mandatory for using Storm decorations in any TrackMania environment and vice versa.

### Extras
Includes modified Canyon bases inside Stadium, which are "cut" to fit 

### Issues
There are some issues with certain environments, which couldn't be solved yet.

* Canyon blocks placed outside the regular build area of the decoration will have no lighting. It makes only quarter of the base actually usable
* Valley 32 base doesn't render warp in current ManiaPlanet build.
* Lagoon ground level is 1 block higher then all other environments. Canyon is 1 block higher in Stadium.
* Canyon block size is 64 x 16 x 64 m, leaving gaps when using Canyon decoration with other environments. Canyon will clip into every environment decoration (except itself).
* Storm block size is 8 x 2 x 8 m, leaving gaps when using Storm decoration with other environments. All environments (except itself) clip into Storm decorations.
* Valley's water color rendering method causes Storm and Lagoon decorations water to appear in stripey pattern.
